v1
==

this is a complete re- board layout.
it does not fit an off-the selves enclosure anymore.
all SMD parts are on one side to allow easier SMT assembly.

fixes:

- 6-40V power input activated when UFP is connected
- use current limit on DFP (prevents USB to reset when DFP is shorted)
- 6-40V power input capacitor now lays down
- remove copper plane under crystal to prevent impedance error

errors:

- crystal still does not start
- none of the two possible OCS inputs (Dx04 XOR Dx05) work
- power dip causes reset when enabling all 7 DFP power outputs at once

v0
==

this version has been designed to fit in a 100x60x25mm enclosure.
this makes it very compact, and not all surface mount parts fit on one side.
this is not too much of an issue since it's a hand soldered prototype.

the prototype mostly works, with a couple of small errors:

- 6-40V power input is not activated unless the hub is already powered (through USB or 5V input)
- crystal oscillator doesn't always start. I think the underlying copper plane skewed the impedance/capacitance too much
- USB-A footprint has inverted pinout: just solder it on the other side and don't swap the data pins in the EEPROM configuration
- fuse on downstream port is not fast enough to prevent shorts and causes the hub to reset
- 6-40V power input capacitor is too tall and does not fit in the case
- one of the LEDS on port 3 is misplaced
